Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.common.exception
Class NewerProjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              kieker.webgui.common.exception.AbstractKiekerWebGUIException
                  kieker.webgui.common.exception.NewerProjectException

All Implemented Interfaces:
  Serializable

    public final class NewerProjectException

extends AbstractKiekerWebGUIException

This exception can be thrown if a project could not be saved, because a newer version was available on the file system. In other words: It can indicate, that a project has been modified in the meanwhile.

Author:
  Nils Christian Ehmke
See Also:
  Serialized Form

Constructor Summary
`NewerProjectException()` Creates a new instance of this exception without detail message.
`NewerProjectException(String msg)` Creates a new instance of this class using the given detail message.
`NewerProjectException(String msg, Throwable cause)` Creates a new instance of this class using the given detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewerProjectException

    public NewerProjectException()

  Creates a new instance of this exception without detail message. The cause is not initialized, but can later be initialized using `Throwable.initCause(java.lang.Throwable)`.

### NewerProjectException

    public NewerProjectException(String msg)

  Creates a new instance of this class using the given detail message. The cause is not initialized, but can later be initialized using `Throwable.initCause(java.lang.Throwable)`.

  Parameters:
    `msg` - The detail message of the exception.

### NewerProjectException

    public NewerProjectException(String msg,
                                 Throwable cause)

  Creates a new instance of this class using the given detail message and cause.

  Parameters:
    `msg` - The detail message of the exception.
    `cause` - The cause for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.